Package org.kapott.cryptalgs

## Class RetailMAC

- java.lang.Object
- - org.kapott.cryptalgs.RetailMAC

    public class RetailMAC
    extends java.lang.Object

### Constructor Summary

Constructors
`RetailMAC​(java.security.Key key, javax.crypto.spec.IvParameterSpec iv)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `doFinal()`
`byte[]` `doFinal​(byte[] data)`
`int` `getMacLength()`
`void` `reset()`
`void` `update​(byte data)`
`void` `update​(byte[] ibuffer, int offset1, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetailMAC

    public RetailMAC​(java.security.Key key,
                     javax.crypto.spec.IvParameterSpec iv)

### Method Detail

#### doFinal

    public byte[] doFinal​(byte[] data)

#### doFinal

    public byte[] doFinal()

#### update

    public void update​(byte data)

#### reset

    public void reset()

#### getMacLength

    public int getMacLength()

#### update

    public void update​(byte[] ibuffer,
                       int offset1,
                       int len)